Package: org.gradle.plugins.ide.idea.model

## [Groovy] Class Path

- org.gradle.plugins.ide.idea.model.Path

- Represents a path in a format as used often in ipr and iml files.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `canonicalUrl` Canonical url.
    `String` | `relPath` The relative path of the path.
    `String` | `url` The url of the path.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Path (String url)`
    `Path (String url, String canonicalUrl, String relPath)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `equals(def o)`
    `int` | `hashCode()`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### final String canonicalUrl

      Canonical url.

    - #### final String relPath

      The relative path of the path. Must not be null.

    - #### final String url

      The url of the path. Must not be null.

  - ### Constructor Detail

    - #### Path(String url)

    - #### Path(String url, String canonicalUrl, String relPath)

  - ### Method Detail

    - #### boolean equals(def o)

    - #### int hashCode()

    - #### String toString()